set xact_abort on
go

begin transaction
go

INSERT INTO dbo.AnagTipoEvento
  VALUES (N'UDC_MPRQ', N'Modifca UDC MP x Modifica RQ')
go

commit transaction
go

set xact_abort on
go

begin transaction
go

UPDATE dbo.TabSyncMovMag SET 
  codMagExtTo=N'6'
  WHERE CodCS=N'SP' and CodStatoFrom=N'MP' and CodStatoTo=N'MP' and IdxPosizioneFrom=-6 and IdxPosizioneTo=6
UPDATE dbo.TabSyncMovMag SET 
  codMagExtFrom=N'6'
  WHERE CodCS=N'SP' and CodStatoFrom=N'MP' and CodStatoTo=N'MP' and IdxPosizioneFrom=6 and IdxPosizioneTo=-6
INSERT INTO dbo.TabSyncMovMag
  VALUES (N'SP', N'MP', N'MP-NA', 6, 6, 0, N'6', N'6', NULL, N'Cambio Stato in MP-NA non Accettata')
INSERT INTO dbo.TabSyncMovMag
  VALUES (N'SP', N'MP-NA', N'MP', 6, 6, 0, N'6', N'6', NULL, N'Cambio Stato in MP - Accettata')
go

commit transaction
go







-- registro versione...
INSERT INTO [dbo].[LogUpdateDb] ([Versione],[Data]) VALUES(451, GETDATE())
GO
